cpw.mods.fml.common.registry

## Enum ObjectHolderRegistry

- java.lang.Object
- - java.lang.Enum<ObjectHolderRegistry>
  - - cpw.mods.fml.common.registry.ObjectHolderRegistry

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ObjectHolderRegistry>

      public enum ObjectHolderRegistry
      extends java.lang.Enum<ObjectHolderRegistry>

  Internal registry for tracking `GameRegistry.ObjectHolder` references

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `INSTANCE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `applyObjectHolders()`
    `void` | `findObjectHolders(ASMDataTable table)`
    `static ObjectHolderRegistry` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ObjectHolderRegistry[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INSTANCE

          public static final ObjectHolderRegistry INSTANCE

  - ### Method Detail

    - #### values

          public static ObjectHolderRegistry[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ObjectHolderRegistry c : ObjectHolderRegistry.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ObjectHolderRegistry valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### findObjectHolders

          public void findObjectHolders(ASMDataTable table)

    - #### applyObjectHolders

          public void applyObjectHolders()